Topic: unable to install php5-fpm on a CentOS 7

I am running a CentOS 7 server with DirectAdmin as the control panel (which installs LAMP etc for me).
Now I want to run nginx in addition to apache and for that I need php5-fpm but I don't seem to be able to find/install it.
Whatever I try I get:

[NET /etc/yum.repos.d]# yum --enablerepo=remi install php5-fpm
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* base: mirror.sov.uk.goscomb.net
* epel: mirror.bytemark.co.uk
* extras: mirror.bytemark.co.uk
* remi: fr.mirror.babylon.network
* remi-php55: fr.mirror.babylon.network
* remi-php56: fr.mirror.babylon.network
* remi-safe: fr.mirror.babylon.network
* updates: mirror.bytemark.co.uk
497 packages excluded due to repository priority protections
No package php5-fpm available.
Error: Nothing to do

(I also tried php-fpm - same result)

What am I doing wrong?
Thanks in advance
Merlin

Re: unable to install php5-fpm on a CentOS 7

See the Wizard : https://rpms.remirepo.net/wizard/

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: unable to install php5-fpm on a CentOS 7

I tried the wizard for CentOS 7, php 5.5, wasn't quite sure if I should use single or multi, but chose multi and ran into the following error:

[NET ~]# yum --enablerepo=remi install php55                                               Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* base: mirrors.melbourne.co.uk
* epel: mirror.bytemark.co.uk
* extras: anorien.csc.warwick.ac.uk
* remi: fr.mirror.babylon.network
* remi-php55: fr.mirror.babylon.network
* remi-php56: fr.mirror.babylon.network
* remi-safe: fr.mirror.babylon.network
* updates: mirror.bytemark.co.uk
500 packages excluded due to repository priority protections
No package php55 available.
Error: Nothing to do

So, still no luck getting FPM installed. Isn't that now a module that would need to be compiled into php?
Thanks, Merlin

Re: unable to install php5-fpm on a CentOS 7

> 500 packages excluded due to repository priority protections

Here is probably the explanation.
I have no idea what DirectAdmin provides or requires and how it alter default configuration.

Changing default PHP can breaks your installation.

First you have to understand how PHP is installed:
- rpm -qf ($which php)
- rpm -qa php\*

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: unable to install php5-fpm on a CentOS 7

directadmin builds all the services from sources - does not use rpm, therefore
[NET ~]# rpm -qf $(which php)
file /usr/local/bin/php is not owned by any package
[NET ~]# rpm -qa php\*
[NET ~]#

the message:
500 packages excluded due to repository priority protections
I am only getting since I started to mess around with other distributions, so this must be something I have done inadvertently and don't know how to get rid of  :-(

Re: unable to install php5-fpm on a CentOS 7

> file /usr/local/bin/php is not owned by any package
This mean you are using a build from sources version (probably build by DirectAdmin, as "custombuild")

> 500 packages excluded due to repository priority protections
Check for "exclude" directives in yum.conf

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: unable to install php5-fpm on a CentOS 7

Cool!
my installation of directadmin excluded all the packages that it builds itself from yum - THAT's why yum did not install php-fpm.

Re: unable to install php5-fpm on a CentOS 7

So, I got a lot further with my nginx+php installation, but somehow I am getting php version 5.4.45. What would I need to do to get at least 5.5.38 which is what is installed and used for LAMP that I have installed through DirectAdmin.
My current remi.repos file for yum contains only the sections

[remi]
[remi-php56]

(I can't post the content here because the forum software complains about to many links)


A yum update gives me

[XXX /etc/yum.repos.d]# yum update
Loaded plugins: fastestmirror, priorities
base                                                                | 3.6 kB  00:00:00
epel/x86_64/metalink                                                |  24 kB  00:00:00
epel                                                                | 4.3 kB  00:00:00
extras                                                              | 3.4 kB  00:00:00
nginx                                                               | 2.9 kB  00:00:00
remi                                                                | 2.9 kB  00:00:00
remi-php56                                                          | 2.9 kB  00:00:00
tor/x86_64/signature                                                |  490 B  00:00:00
tor/x86_64/signature                                                | 2.9 kB  00:00:00 !!!
tor-source/signature                                                |  490 B  00:00:00
tor-source/signature                                                | 2.9 kB  00:00:00 !!!
updates                                                             | 3.4 kB  00:00:00
vz-base                                                             |  951 B  00:00:00
vz-updates                                                          |  951 B  00:00:00
(1/4): epel/x86_64/updateinfo                                       | 722 kB  00:00:00
epel/x86_64/primary_db         FAILED
xxxx-ftp.cica.es/epel/7/x86_64/repodata … sqlite.xz: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article

xxxx:access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please create a bug on bugs.centos.org/

(2/4): remi-php56/primary_db                                        | 211 kB  00:00:00
(3/4): epel/x86_64/primary_db                                       | 4.5 MB  00:00:00
(4/4): remi/primary_db                                              | 1.6 MB  00:00:01
Loading mirror speeds from cached hostfile
* base: mirrors.melbourne.co.uk
* epel: mirrors.coreix.net
* extras: mirrors.melbourne.co.uk
* remi: remi.check-update.co.uk
* remi-php56: remi.check-update.co.uk
* updates: mirror.sov.uk.goscomb.net
369 packages excluded due to repository priority protections
No packages marked for update

Thanks - Merlin

Re: unable to install php5-fpm on a CentOS 7

Explanation on your output

369 packages excluded due to repository priority protections

Very probably related yo yum priorities plugin, so try to disable it, or properly set priorities for the used repo.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: unable to install php5-fpm on a CentOS 7

Thanks for the hint.
I disabled the plugin and still get similar results:

[XXX /etc/yum/pluginconf.d]# yum update
Loaded plugins: fastestmirror
base                                                                | 3.6 kB  00:00:00
epel/x86_64/metalink                                                |  25 kB  00:00:00
epel                                                                | 4.3 kB  00:00:00
extras                                                              | 3.4 kB  00:00:00
nginx                                                               | 2.9 kB  00:00:00
remi                                                                | 2.9 kB  00:00:00
remi-php56                                                          | 2.9 kB  00:00:00
tor/x86_64/signature                                                |  490 B  00:00:00
tor/x86_64/signature                                                | 2.9 kB  00:00:00 !!!
tor-source/signature                                                |  490 B  00:00:00
tor-source/signature                                                | 2.9 kB  00:00:00 !!!
updates                                                             | 3.4 kB  00:00:00
vz-base                                                             |  951 B  00:00:00
vz-updates                                                          |  951 B  00:00:00
(1/5): extras/7/x86_64/primary_db                                   | 121 kB  00:00:00
(2/5): epel/x86_64/updateinfo                                       | 726 kB  00:00:00
epel/x86_64/primary_db         FAILED
ftp.cica.es/epel/7/x86_64/repodata/51e67bb7586f89e3ea543ba9084aa7bc3862cd8eec6ef4d23                                                                                                  048468e555e3bc5-primary.sqlite.xz: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article

access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please create a bug on https://bugs.cen                                                                                                  tos.org/

(3/5): updates/7/x86_64/primary_db                                  | 2.2 MB  00:00:00
(4/5): epel/x86_64/primary_db                                       | 4.5 MB  00:00:00
(5/5): remi/primary_db                                              | 1.6 MB  00:00:01
Loading mirror speeds from cached hostfile
* base: mirror.sov.uk.goscomb.net
* epel: mirrors.coreix.net
* extras: mirrors.melbourne.co.uk
* remi: remi.check-update.co.uk
* remi-php56: remi.check-update.co.uk
* updates: mirror.sov.uk.goscomb.net
No packages marked for update


Any other ideas of what I am doing wrong?
Thanks - Merlin

Re: unable to install php5-fpm on a CentOS 7

Have some php packaged installed ?

rpm -qa | grep php

If no, this is why it doesn't find something to update (so yuou need to use "yum install" for what you need)

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70